libstdc++: std::__detail::_Compiler< _TraitsT > Class Template Reference

libstdc++

std::__detail::_Compiler< _TraitsT > Class Template Reference
Regular Expressions » Base and Implementation Classes

`#include <regex_compiler.h>`

## Public Types
typedef _TraitsT::char_type | _CharT
typedef regex_constants::syntax_option_type | _FlagT
typedef _NFA< _TraitsT > | _RegexT

## Public Member Functions
| _Compiler (const _CharT *__b, const _CharT *__e, const typename _TraitsT::locale_type &__traits, _FlagT __flags)
shared_ptr< const _RegexT > | _M_get_nfa () noexcept

## Detailed Description

template<typename _TraitsT>
class std::__detail::_Compiler< _TraitsT >

Builds an NFA from an input iterator range.

The _TraitsT type should fulfill the requirements in C++11 28.3 [re.req].

Definition at line 59 of file regex_compiler.h.

## Member Typedef Documentation

## ◆ _CharT

template<typename _TraitsT>

typedef _TraitsT::char_type std::__detail::_Compiler< _TraitsT >::_CharT

Definition at line 62 of file regex_compiler.h.

## ◆ _FlagT

template<typename _TraitsT>

typedef regex_constants::syntax_option_type std::__detail::_Compiler< _TraitsT >::_FlagT

Definition at line 64 of file regex_compiler.h.

## ◆ _RegexT

template<typename _TraitsT>

typedef _NFA<_TraitsT> std::__detail::_Compiler< _TraitsT >::_RegexT

Definition at line 63 of file regex_compiler.h.

## Constructor & Destructor Documentation

## ◆ _Compiler()

template<typename _TraitsT>

std::__detail::_Compiler< _TraitsT >::_Compiler | ( | const _CharT * | __b,
|  | const _CharT * | __e,
|  | const typename _TraitsT::locale_type & | __traits,
|  | _FlagT | __flags )

Definition at line 68 of file regex_compiler.tcc.

## Member Function Documentation

## ◆ _M_get_nfa()

template<typename _TraitsT>

shared_ptr< const _RegexT > std::__detail::_Compiler< _TraitsT >::_M_get_nfa | ( |  | ) |
| inlinenoexcept

Definition at line 70 of file regex_compiler.h.

The documentation for this class was generated from the following files:

- regex_compiler.h
- regex_compiler.tcc